<?php 
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
add_event_handler('render_element_content', 'AI_jQuery_change_picture', 40, 2 );

global $conf;
if ( !isset($conf['AI jQuery On name']) )
  { $conf['AI jQuery On name'] = '_360'; }
if ( !isset($conf['AI jQuery speed']) )
  { $conf['AI jQuery speed'] = 'slow'; }
if ( !isset($conf['AI jQuery timeout']) )
  { $conf['AI jQuery timeout'] = '42200'; }
if ( !isset($conf['AI jQuery containerwidth']) )
  { $conf['AI jQuery containerwidth'] = '700'; }
if ( !isset($conf['AI jQuery animationSpeed']) )
  { $conf['AI jQuery animationSpeed'] = '45000'; }
if ( !isset($conf['AI jQuery displayTitle']) )
  { $conf['AI jQuery displayTitle'] = 'yes'; }  
if ( !isset($conf['AI jQuery controlBox']) )
  { $conf['AI jQuery controlBox'] = 'mycontrolboxclass'; } 

function AI_jQuery_change_picture($content, $image)
{
  global $conf, $template, $page;
  if ( !stristr($image['name'], $conf['AI jQuery On name']) )
    { return $content; }
  if (!isset($image['image_url']) or !empty($content))
  { // nothing to do or someone hooked us - so we skip;
    return $content;
  }
  $title = strtr(substr(strip_tags($image['comment']),0,72),'"',' ');
  if ( $title == '') { $conf['AI jQuery displayTitle'] = 'none'; }
  else { $title .= '...<br />('.$image['width'].'x'.$image['height'].')';   }

  $template->set_filenames(
    array('ai_jquery_content' => dirname(__FILE__) . '/content.tpl') );
  $uuid = uniqid(rand());
  if (isset($image['high_url'])) {
    $img_url = "javascript:phpWGOpenWindow('" . $image['high_url'] 
             . "','". $uuid 
             . "','scrollbars=yes,toolbar=no,status=no,resizable=yes')";
    $img_url = $image['high_url'];
    $target = '_blank';
  }
  else {  
    $img_url = '#' ;
    $target = '_self';
  }

  if ( !isset($page['slideshow']) and isset($image['high_url']) )
    $template->assign( 'high', array(
      'U_HIGH' => $image['high_url'], 
      'UUID'   => $uuid,));

  $template->assign( array(
      'AI_JQUERY_PATH' => AI_JQUERY_PATH, 
      'SRC_IMG'     => $image['element_url'],
      'ALT_IMG'     => $image['file'],
      'WIDTH_IMG'   => $image['width'],
      'HEIGHT_IMG'  => $image['height'],
      'WIDTH_FRM'   => $conf['AI jQuery containerwidth'],
      'COMMENT_IMG' => $title,
      'U_HIGH'      => $img_url,
      'U_TRGT'      => $target,
      'speed'       => $conf['AI jQuery speed'],
      'timeout'     => $conf['AI jQuery timeout'],
      'containerwidth' => $conf['AI jQuery containerwidth'],
      'animationSpeed' => $conf['AI jQuery animationSpeed'],
      'controlBox'       => $conf['AI jQuery controlBox'],
      'displayTitle'       => $conf['AI jQuery displayTitle'],
      'speed'       => $conf['AI jQuery speed'],
      'height'       => $image['height'],
      )
    );
  return $template->parse('ai_jquery_content', true);
} 
?>